Bug 486073 - cannot delete offline data
cannot delete offline data
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-18 01:01 EST by Cao, Chen
Modified: 2009-04-20 16:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-20 16:57:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 425645 None None None Never

  None (edit)
Description Cao, Chen 2009-02-18 01:01:21 EST
Description of problem:
cannot clear the data stored for offline use.


Version-Release number of selected component (if applicable):
firefox-3.1-0.6.beta2.fc11.i386


How reproducible:
100% reproducible


Steps to Reproduce:
1. launch firefox to visit http://www.campd.org/stuff/tests/offline/offline2.html
2. if a popup info-bar shows up to ask for writing permission, 
click 'Allow'.
3. click the link 'write a storage value'
4. check the data has be stored by 
'Edit | Preferences | Advanced | Network'.
'www.campd.org' appears in the list of 
'the following websites have stored data for offline use'.
5. click 'Clear Now' to clear the cache.
6. select 'www.campd.org' in the list of 
'the following websites have stored data for offline use' by 
left-click it, and click 'remove...'
7. click 'remove offline data' to confirm the removal.
8. restart firefox 
9. check the offline data by 'Edit | Preferences | Advanced | Network'.
  

Actual results:
the offline data cannot be deleted.
'www.campd.org' still exists in the list of 
'the following websites have stored data for offline use'.


Expected results:
the offline data can be deleted.
'www.campd.org' disappeared from the list of 
'the following websites have stored data for offline use'.


Additional info:
site requires to store data for offline use.
http://www.campd.org/stuff/tests/offline/offline2.html
Comment 1 Matěj Cepl 2009-02-27 11:50:17 EST
Actually, when checking this with firefox-3.1-0.6.beta2.fc11.x86_64
and xulrunner-1.9.1-0.7.beta2.fc11.x86_64, I cannot store any data by the steps provided in the description. There is no site in edit/preferences/advanced/network.
Comment 2 Matěj Cepl 2009-04-20 16:57:48 EDT
The steps to reproduce are missing one step (click the link on the top), and then I can reproduce it. But I will rather let it be fixed upstream (https://bugzilla.mozilla.org/show_bug.cgi?id=425645).

Red Hat will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.